package jargon;

/**
 * This abstract class is intented to be subclassed into a specific
 * computational scheme. A computational scheme is a Procedure
 * object with no public instance variables. All the instance variables
 * are private and are accessed through <tt>set</tt> and <tt>get</tt>
 * public methods. A ComputationalScheme is therefore available for
 * introspection by the Reflection mechanism of Java.
 * <P>
 * <B>Author:</B> Alain Hebert, Ecole Polytechnique de Montreal (2002)
 *
 * @author Alain Hebert
 */
public abstract class ComputationalScheme extends Procedure {
  private String name = null;
  /** Use this constructor to create a new ComputationalScheme object.
   * @param name user-defined name of the ComputationalScheme object.
   */
  public ComputationalScheme(String name) {
    this.name = name;
  }
  /** return the user-defined name of the ComputationalScheme object.
   */
  public String getName() {
    return this.name;
  }
}
