package jargon;

/**
 * The G2s operator produces a sequential file containing the list of
 * surfacic elements corresponding to a 2D arbitrary geometry.
 * <P>
 * <B>Author:</B> Alain Hebert, Ecole Polytechnique de Montreal (2002).
 *
 * @author Alain Hebert
 */
public class G2s extends Operator {
  static {
    System.out.println("G2s class loaded");
  }
  static String fr = "calcul d'une geometrie surfacique pour TDT";
  static String en = "calculation of a TDT surfacic geometry";
  private static final long serialVersionUID = 200L;
  /**
   * Use this constructor to create a new G2s object.
   * @param name user-defined name of the g2s object
   */
  public G2s(String name) {
    super.lcmObj = new Jlcm("LCM", name);
    super.fileObj = new Jlcm("ASCII", name + "_f");
    super.epsObj = new Jlcm("ASCII", name + ".eps");
    super.name = name;
  }
  /** compute and load the embedded file object containing the surfacic
   * elements
   * @param a 2D geometry to analyse.
   */
  public void exec(Gigogne a) throws JargonException {
    super.resetJlcm();
    super.outputJlcm(this.lcmObj);
    super.outputJlcm(this.fileObj);
    super.outputJlcm(this.epsObj);
    super.inputJlcm(a.lcmObj);
    super.exec();
  }
  protected void makeText() {
    this.operator="G2S: ";
  }
}
