package jargon;

import java.net.*;
import java.rmi.*;
import java.rmi.registry.*;
/** This class provides the server capabilities required by the
 * Remote Method Invocation (RMI) mechanism.
 */
public class ProcServer {
  private static final long serialVersionUID = 900L;
  static {
    try {
      Registry reg = LocateRegistry.createRegistry(1099);
    } catch(Exception e) {
      System.out.println("ProcServerException: " + e);
    }
  }
  /** main method for the server application.
   */
  public static void main(String args[]) {
    if (System.getSecurityManager() == null) {
      System.setSecurityManager(new RMISecurityManager());
    }
    try {
      ProcServerImpl procServerImpl = new ProcServerImpl();
      Naming.rebind("ProcServer", procServerImpl);
      System.out.println("ProcServer binded");
    }
    catch(Exception e) {
      System.out.println("ProcServerException: " + e);
    }
  }
}
