package jargon;

import java.rmi.*;
import java.rmi.server.*;
/** Implementation of the remote calculation engine.
 */
public class ProcServerImpl extends UnicastRemoteObject implements ProcServerIntf {
  private static final long serialVersionUID = 650L;
  public ProcServerImpl() throws RemoteException {
  }
  /** this method is the <i>only</i> operation which can be performed
   * by the remote calculation engine. Implement the ProcServerIntf 
   * interface.
   * @param t calculation procedure implementing the ProcedureIntf
   * interface
   * @return output Operator object created by the remote calculation.
   */
  public Operator executeProc(ProcedureIntf t) throws JargonException {
    return t.exec();
  }
}
