package jargon;

/** This is the abstract subclass for all the tracking operators
 * available in the jargon package.
 * <P>
 * <B>Author:</B> Alain Hebert, Ecole Polytechnique de Montreal (2002)
 *
 * @author Alain Hebert
 */
public abstract class Tracking extends Operator {
  static {
    System.out.println("Tracking class loaded");
  }
  static String fr = "definition d'un tracking";
  static String en = "definition of a tracking";
  /** user-defined title for the tracking.
   */
  public String title = null;
  /** number of computer words used in the dynamic allocation
   * algorithm of the tracking operator.
   */
  public int maxr = 0;
  /** stop the execution after the numerotation phase but before
   * computing the particle tracks.
   */
  public boolean halt = false;
  abstract protected void makeText();
}
